> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update user's email address

POST https://api-d.docusign.net/Management/v2/organizations/{organizationId}/users/email_addresses
Content-Type: application/json

Updates a user's email address.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `user_write`.

Reference: https://developers.docusign.com/docs/admin-api/reference/usermanagement/users/updateemailaddress

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID Guid

### Body (application/json)

This endpoint expects an UpdateUsersEmailRequest.

- `users` (list of UpdateUserEmailRequest, optional) — A list of users whose email address to change.

## Response

### 200

OK

- `success` (boolean, optional) — When **true,** the request to change user information succeeded.
- `users` (list of UserUpdateResponse, optional) — A list of users whose email addresses have been updated.

## Types

### UpdateUserEmailRequest

And individual change of email.

- `id` (string, required) — The ID of the users whose email address you want to change.
- `site_id` (integer, required) — The site ID.
- `email` (string, required) — The new email address.

### UserUpdateResponse

Error result of attempting to change a user's email address.

- `id` (string, optional) — The ID of the user whose email address has been updated.
- `site_id` (integer, optional) — The site ID.
- `email` (string, optional) — The email address.
- `error_details` (ErrorDetails, optional) — Errors.

### ErrorDetails

Errors.

- `error` (string, optional) — The code for the error.
- `error_description` (string, optional) — A description of the error.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "success": true,
  "users": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "site_id": 1,
      "email": "string",
      "error_details": {
        "error": "string",
        "error_description": "string"
      }
    }
  ]
}
```